Subject: Re: bug#79253: Add timestamps to *Messages*

From: "R. Diez" <[email-masked]>
Date: Mon, 18 Aug 2025 08:49:55 +0200

> Ordinary Emacs editing is sequential and only the order matters.
> For people like me, whi do that, timestamps would be unhelpful clutter.
> So if we implement timestamps, there should be an easy way to turn them off.

When I switch to a *Compile-Log* buffer, I get an extra menu at the top called "Compile", with options like "Next Error" and "Stop Compilation".

Wouldn't it be cool if the *Messages* buffer also displayed a new menu with options like "Show Timestamps", "Show Time Deltas" and "Clear Buffer"?

But I am now more inclined to just offer a hook to capture the text lines sent to the *Messages* buffer. This way, you have complete freedom: you can send the text lines to syslog and/or implement your own *Enhanced Messages* buffer with all those features. I'm sure somebody would then write an Emacs package with such functionality. After the hook, the only other thing probably missing is to change all internal callers so that they write whole lines in a go.